\input{header}
\usepackage[english]{babel}
\defbibheading{interns}{Interns}
\defbibheading{papers}{Articles}
\defbibheading{presentations}{Presentations}
\defbibheading{artworks}{Artworks}
%% biblios
\addbibresource[label=interns]{../metalabbib/metalab-interns.bib}
\addbibresource[label=papers]{../metalabbib/metalab-papers.bib}
\addbibresource[label=presentations]{../metalabbib/metalab-presentations.bib}
\addbibresource[label=artworks]{../metalabbib/artworks.bib}

\title{Metalab: introduction}
\author{Society for Arts and Technology [SAT]}
\date{\today}

\begin{document}
\maketitle
\pagenumbering{roman} % roman page number for toc
\setcounter{page}{2} % make it start with "ii"
%\renewcommand{appendixtocname}{Annexes}

\tableofcontents

\chapter{The [SAT] and its research laboratory, the Metalab}
\pagenumbering{arabic} % Start text with arabic 1
\section{Society for Arts and Technology [SAT]}
\input{includes/sat-en}

\section{The Metalab}
\input{includes/metalab-en}

\section{In between art, science and digital creation communities}
\input{includes/partenaires-en}

\chapter{Metalab members}
\input{includes/membres-du-metalab-en}

\chapter{Alumni}
\input{includes/anciens-en}
\newpage
\begin{refsection}[interns]
\nocite{*}
\newrefcontext[
  labelprefix={Intrn},
  sorting=ydnt, % Sort by year (descending), name, title.
]

\printbibliography[
heading=subbibnumbered,
title={Interns' publications}
]
\end{refsection}

\chapter{Hardware prototypes from the Metalab}
\input{includes/hardware-en}

\chapter{Software from the Metalab}
\input{includes/software-en}

\chapter{News Feeds}
\input{includes/fils-actus-en}

\chapter{Scientific communications}
\begin{refsection}[papers]
\nocite{*}
\newrefcontext[
  labelprefix={Met},
  sorting=ydnt, % Sort by year (descending), name, title.
]
\printbibliography[
heading=subbibnumbered,
title={Artlicles}
]
\end{refsection}
\newpage
\begin{refsection}[presentations]
\nocite{*}
\newrefcontext[
  labelprefix={Pres},
  sorting=ydnt, % Sort by year (descending), name, title.
]
\printbibliography[
heading=subbibnumbered,
title={Presentations}
]
\end{refsection}

\chapter{Artworks using Metalab tools}
\begin{refsection}[artworks]
\nocite{*}
\newrefcontext[
  labelprefix={Art},
  sorting=ydnt, % Sort by year (descending), name, title.
]
\printbibliography[
heading=subbibnumbered,
title={Oeuvres utilisant les outils du Metalab}
]
\end{refsection}


\chapter{History}
\input{includes/historique}

\chapter{Software code contribution statistics}

\begin{landscape}
\section*{Code additions since 2012}
\pgfplotstabletypeset[
col sep=comma,
columns/repo/.style={string type, column name=\ },
columns/commits/.style={column name=\# commits},
columns/contributors/.style={column name=\# contributors},
columns/versions/.style={column name=\# versions},
every even row/.style={before row={\rowcolor[gray]{.8}}}
]{stats_git/stat_total.csv}\\


\section*{Active contributors per year}
\pgfplotstabletypeset[
col sep=comma,
columns/repo/.style={string type, column name=\ },
every even row/.style={before row={\rowcolor[gray]{.8}}}
]{stats_git/stat_active_contributors.csv}\\

\section*{Number of commits per year}

\pgfplotstabletypeset[
col sep=comma,
columns/repo/.style={string type, column name=\ },
every even row/.style={before row={\rowcolor[gray]{.8}}}
]{stats_git/stat_commits.csv}\\

\section*{Number of releases per year}
\pgfplotstabletypeset[
col sep=comma,
columns/repo/.style={string type, column name=\ },
every even row/.style={before row={\rowcolor[gray]{.8}}}
]{stats_git/stat_tags.csv}\\
\end{landscape}
\end{document}
